Bug 253474 - wine-jack not working
wine-jack not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 00:49 EDT by Ben Escoto
Modified: 2008-01-06 20:27 EST (History)
0 users

See Also:
Fixed In Version: 0.9.52-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:27:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Escoto 2007-08-20 00:49:12 EDT
Description of problem:

The jack interface does not show up in wine, even if wine-jack is installed.

Version-Release number of selected component (if applicable):

Version 0.9.42 of wine/wine-jack

How reproducible:

Install wine, wine-jack, and jack (jack-audio-connection-kit package).  Then run
winecfg and select the "Audio" tab.

Actual results:
JACK is not listed as an audio driver option.

Expected results:
JACK should show up along with ALSA and OSS as possible audio drivers.

Additional info:
The wine console output says

fixme:jack:JACK_drvLoad error loading the jack library libjack.so.0, please
install this library to use jack

I do I have a libjack.so.0 in /usr/lib64.  Perhaps the problem is that wine is
32 bit and jack is 64 bit?  I don't know, it just seemed like it was probably a
packaging error.
Comment 1 Andreas Bierfert 2007-08-20 01:02:10 EDT
Thanks for reporting. This is not a packaging bug itself. It should not be
possible to install wine-jack without the jack-audio-connection-kit.i386 package
installed (well not unless you use -nodeps) as wine itself is i386.

Could you verify if it works when you install the i386 version?
Comment 2 Ben Escoto 2007-08-20 08:24:19 EDT
Thank you for the reply Andreas.  This may be a stupid question, but where do I
get the jack-audio-connection-kit.i386 package?  I don't see it listed when I
run pirut.

I've tried to browse around to find it, for instance at

http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/Fedora/RPMS/

but I didn't see it.  (I'm not really sure where all these RPMs "come from"
though, so my search probably wasn't very effective.)  Anyway, please give me a
pointer about this .i386 version.
Comment 3 Philip Heuer 2007-09-21 19:53:19 EDT
The jack-audio-connection-kit.i386 package can be found at:

http://mirrors.kernel.org/fedora/extras/6/i386/

(or one of the extras mirrors listed at:
 http://mirrors.fedoraproject.org/publiclist )

The current version is 0.103.0-1.
Comment 4 Ben Escoto 2007-09-22 09:04:09 EDT
Thanks for the link.  Yes, when I installed the i386 version of
jack-audio-connection-kit, the JACK driver option appeared in winecfg.  I don't
know if it works, but at least the option appeared.
Comment 5 Andreas Bierfert 2007-12-20 18:44:31 EST
Since FC-6 is eol now this is moved to F8. wine-jack should have a require on
jack-audio-connection-kit.
Comment 6 Fedora Update System 2007-12-28 12:12:53 EST
wine-0.9.51-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'
Comment 7 Fedora Update System 2007-12-28 12:18:43 EST
wine-0.9.51-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'
Comment 8 Fedora Update System 2008-01-02 20:33:22 EST
wine-docs-0.9.52-1.fc7, wine-0.9.52-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine-docs wine'
Comment 9 Fedora Update System 2008-01-02 20:40:57 EST
wine-docs-0.9.52-1.fc8, wine-0.9.52-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine-docs wine'
Comment 10 Fedora Update System 2008-01-06 20:24:59 EST
wine-docs-0.9.52-1.fc7, wine-0.9.52-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-01-06 20:26:55 EST
wine-docs-0.9.52-1.fc8, wine-0.9.52-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.